%define		php_name	php%{?php_suffix}
%define		modname	big_int
%define		status		stable
Summary:	%{modname} - set of functions for calculations with arbitrary length integers
Summary(pl.UTF-8):	%{modname} - zestaw funkcji do obliczeń z użyciem liczb o dowolnej wielkości
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.7
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	d858d5bcfd3f789cb1ae8cb8ff09d3e9
URL:		http://pecl.php.net/package/big_int/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is useful for number theory applications. For example, in
two-keys cryptography. See tests/RSA.php in the package for example of
implementation of RSA-like cryptoalgorithm.

Also the package has many bitset functions, which allow to work with
arbitrary length bitsets.

This package is much faster than bundled into PHP BCMath. It
implements almost all functions as in GMP extension, but it needn't
any additional external libraries.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Ten pakiet jest przydatny do zastosowań z teorii liczb, na przykład do
kryptografii z użyciem dwóch kluczy. Przykładową implementację
algorytmu kryptograficznego podobnego do RSA można znaleźć w tym
pakiecie w pliku tests/RSA.php.

Pakiet ma także wiele funkcji operujących na bitach, umożliwiających
działanie na zbiorach bitów dowolnej długości.

Ten pakiet jest dużo szybszy niż wbudowany w PHP BCMath. Implementuje
prawie wszystkie funkcje z rozszerzenia GMP, ale nie wymaga żadnych
dodatkowych bibliotek zewnętrznych.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README docs tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-big_int.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 7c031bf
- release 3 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> d0e1203
support multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> e8cb9ad
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 90219a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a95e8e6
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 372e117
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 959f9e1
- update to 1.0.7

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> c192755
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 4de61fc
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> a6d24f5
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 580a8e3
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 8a887a5
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 889c034
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> d8d4594
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> 2d181cf
- full conf.d support and unifications

* Wed Jul 27 2005 Adam Gołębiowski <adamg@pld-linux.org> 043178c
- updated to 1.0.6

* Sun May 01 2005 Adam Gołębiowski <adamg@pld-linux.org> ea13e80
- updated to 1.0.4

* Sun Mar 20 2005 Adam Gołębiowski <adamg@pld-linux.org> 03f6a21
- updated to 1.0.1

* Sun Feb 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 18ddb9d
- pl

* Sat Feb 19 2005 Adam Gołębiowski <adamg@pld-linux.org> 5a9f323
- new

